%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define po_package libexo-0.3

Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Application library for the Xfce desktop environment
Name:		exo
Version:	0.3.107
Release:	1
BuildArch:	i686
License:	LGPL
URL:		http://libexo.os-cillation.com/
Source0:	%{name}-%{version}.tar.bz2
Group:		Graphical Desktop/Xfce/Libraries
BuildRoot:	%{_tmppath}/%{name}-buildroot

# Manual build dependencies
BuildRequires:	python26-pygtk-devel

BuildRequires: python26-devel
BuildRequires: intltool

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: coreutils
BuildRequires: dbus-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: hal-devel
BuildRequires: libnotify-devel
BuildRequires: libpng-devel
BuildRequires: libsmbios-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libxfce4util-devel
BuildRequires: libXrender-devel
BuildRequires: pango-devel
BuildRequires: perl
BuildRequires: perl-URI
BuildRequires: pixman-devel
BuildRequires: pkg-config
BuildRequires: util-linux-ng
BuildRequires: xcb-util-devel
BuildRequires: zlib-devel

%description
Extension library for Xfce, targeted at application development.

%package	devel
Summary:	Development files for the exo library
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Static libraries and header files for the exo library.

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%prep
%setup -qn %{name}-%{version}

%build
%configure --sysconfdir=%_sysconfdir/xfce --enable-final --disable-gtk-doc --enable-python --enable-hal PYTHON=/usr/bin/python%{PYVER}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%_mandir
rm -rf %{buildroot}%_datadir/gtk-doc
%find_lang %{po_package}

# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{po_package}.lang
%defattr(-,root,root)
%{_sysconfdir}/xfce/xdg/xfce4/helpers.rc
%{_sysconfdir}/xfce/xdg/xfce4/mount.rc
%{_bindir}/exo-csource
%{_bindir}/exo-desktop-item-edit
%{_bindir}/exo-eject
%{_bindir}/exo-mount
%{_bindir}/exo-open
%{_bindir}/exo-preferred-applications
%{_bindir}/exo-unmount
%{_libdir}exec/exo-compose-mail-0.3
%{_libdir}exec/exo-helper-0.3
%{_libdir}exec/exo-mount-notify-0.3
%{_libdir}/libexo-0.3.so.*
%{_libdir}/libexo-hal-0.3.so.*
%{_libdir}/python2.6/site-packages/exo-0.3
%{_libdir}/python2.6/site-packages/pyexo.py
%{_libdir}/python2.6/site-packages/pyexo.pyc
%{_libdir}/python2.6/site-packages/pyexo.pyo
%{_applications}/exo-preferred-applications.desktop
%{_datadir}/icons/hicolor/*/apps/preferences-desktop-default-applications.png
%{_datadir}/icons/hicolor/*/apps/applications-internet.png
%{_datadir}/icons/hicolor/*/apps/applications-other.png
%{_locale}/*/LC_MESSAGES/libexo-0.3.mo
%{_mandir}/man1/exo-csource.1.gz
%{_mandir}/man1/exo-open.1.gz
%{_pixmaps}/exo-0.3/exo-thumbnail-frame.png
%{_datadir}/pygtk/2.0/defs/exo-0.3/exo.defs
%{_datadir}/xfce4/doc/*/exo-preferred-applications.html
%{_datadir}/xfce4/doc/*/images/exo-preferred-applications-internet.png
%{_datadir}/xfce4/doc/*/images/exo-preferred-applications-utilities.png
%{_datadir}/xfce4/doc/*/images/exo-preferred-applications-webbrowser-custom.png
%{_datadir}/xfce4/doc/*/images/exo-preferred-applications-webbrowser-menu.png
%{_datadir}/xfce4/helpers/aterm.desktop
%{_datadir}/xfce4/helpers/balsa.desktop
%{_datadir}/xfce4/helpers/debian-sensible-browser.desktop
%{_datadir}/xfce4/helpers/debian-x-terminal-emulator.desktop
%{_datadir}/xfce4/helpers/encompass.desktop
%{_datadir}/xfce4/helpers/epiphany.desktop
%{_datadir}/xfce4/helpers/eterm.desktop
%{_datadir}/xfce4/helpers/evolution.desktop
%{_datadir}/xfce4/helpers/firefox.desktop
%{_datadir}/xfce4/helpers/galeon.desktop
%{_datadir}/xfce4/helpers/gnome-terminal.desktop
%{_datadir}/xfce4/helpers/kmail.desktop
%{_datadir}/xfce4/helpers/konqueror.desktop
%{_datadir}/xfce4/helpers/links.desktop
%{_datadir}/xfce4/helpers/lynx.desktop
%{_datadir}/xfce4/helpers/midori.desktop
%{_datadir}/xfce4/helpers/mozilla-browser.desktop
%{_datadir}/xfce4/helpers/mozilla-mailer.desktop
%{_datadir}/xfce4/helpers/mutt.desktop
%{_datadir}/xfce4/helpers/netscape-navigator.desktop
%{_datadir}/xfce4/helpers/nxterm.desktop
%{_datadir}/xfce4/helpers/opera-browser.desktop
%{_datadir}/xfce4/helpers/opera-mailer.desktop
%{_datadir}/xfce4/helpers/sylpheed-claws.desktop
%{_datadir}/xfce4/helpers/sylpheed.desktop
%{_datadir}/xfce4/helpers/Terminal.desktop
%{_datadir}/xfce4/helpers/thunderbird.desktop
%{_datadir}/xfce4/helpers/urxvt.desktop
%{_datadir}/xfce4/helpers/w3m.desktop
%{_datadir}/xfce4/helpers/xterm.desktop

%files devel
%defattr(-, root, root)
%{_includedir}/exo-0.3/exo
%{_includedir}/exo-0.3/exo-hal
%{_libdir}exec/exo-compose-mail-0.3
%{_libdir}exec/exo-helper-0.3
%{_libdir}exec/exo-mount-notify-0.3
%{_libdir}/libexo-0.3.a
%{_libdir}/libexo-0.3.la
%{_libdir}/libexo-0.3.so
%{_libdir}/libexo-hal-0.3.a
%{_libdir}/libexo-hal-0.3.la
%{_libdir}/libexo-hal-0.3.so
%{_pkgconfig}/exo-0.3.pc
%{_pkgconfig}/exo-hal-0.3.pc

%changelog
* Mon May 24 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.3.107-1
- Version Update
* Thu Nov 19 2009 Christian Metzen <metzench@ccux-linux.de> 0.3.101-2
- python 2.6
* Sun Sep 13 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.3.101-1
- Version Update
* Sat Mar 14 2009 Christian Wasem <wasem@ccux-linux.de> 0.3.100-1
- Version update
* Sun Feb 15 2009 Christian Wasem <wasem@ccux-linux.de> 0.3.92-1
- Version update
* Sun Dec 30 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.3.4-1
- Version Update
* Sun Oct 07 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.3.2-2
- Rebuild Against XFCE 4.4.1
* Wed Jan 31 2007 Christian Metzen <metzench@ccux-linux.de> 0.3.2-1
- Version update
* Sat Nov 25 2006 Christian Metzen <metzench@ccux-linux.de> 0.3.1.12-2
- cleaned version, moved libexecdir and sysconfdir
* Thu Nov 23 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.3.1.12-1
- Version Update, RC2
* Thu Sep 21 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.3.1.10-2
- rebuilt against python 2.5
* Mon Sep 04 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.3.1.10-1
- Version Update, RC1
* Thu Jun 20 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.3.1.8-1
- Version update, beta2
* Sun Mar 19 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.3.1.4-1
- Version update, alpha2
* Sat Oct 15 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.3.0-1
- Initial Release
